# Command: CreateSurface

CreateSurface ( mesh[,brush] )

Parameters:

mesh - mesh handle brush (optional) - brush handle

Description:

Creates a surface attached to a mesh and returns the surface's handle.

Surfaces are sections of mesh which are then used to attach triangles to. You must have at least one surface per mesh in order to create a visible mesh, however you can use as many as you like. Splitting a mesh up into lots of sections allows you to affect those sections individually, which can be a lot more useful than if all the surfaces are combined into just one.

Example:

None.

Index